apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-11-02T01:50:52Z"
  generation: 7
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-c2
spec:
  image: ami-0409b7ddbc59e3222
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.4xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  mixedInstancesPolicy:
    onDemandAboveBase: 0
    onDemandBase: 0
    spotAllocationStrategy: capacity-optimized
  nodeLabels:
    datasaker/druid-size: large
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: k8s-prod-data-druid-c2
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule
